// Top-level build file where you can add configuration options common to all sub-projects/modules.
apply from: "config.gradle"
buildscript {
    ext.kotlin_version = '1.3.10'

    repositories {
        maven{ url rootProject.file("repo-local") }
        maven{ url 'http://maven.aliyun.com/nexus/content/groups/public/'}
        google()
        jcenter()
        mavenCentral()

    }

    dependencies {
        classpath 'com.android.tools.build:gradle:3.5.0'
        classpath 'com.github.dcendents:android-maven-gradle-plugin:1.5'

        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"

        classpath 'com.novoda:bintray-release:0.9.2'
        classpath 'com.billy.android:cc-register:1.1.2'
    }
}

allprojects {
    repositories {
        maven{ url rootProject.file("repo-local") }
        maven { url "https://jitpack.io" }
        google()
        jcenter()
        mavenLocal()
        mavenCentral()
        maven { url "https://jitpack.io" }
        maven { url "https://maven.google.com" }//Support-library 需要 Google 仓库
        maven { url 'https://dl.bintray.com/poldz123/maven/' }
        maven { url 'http://www.idescout.com/maven/repo/' }
        //阿里云仓库
        maven { url "http://maven.aliyun.com/nexus/content/repositories/releases" }

        maven{ url 'https://maven.aliyun.com/repository/google' }
        maven{ url 'https://maven.aliyun.com/repository/jcenter' }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
